Subject: Re: [PATCH -next] usb gadget webcam: depends on VIDEO_DEV

From: Laurent Pinchart <[email-masked]>
Date: Thu, 6 May 2010 09:57:13 +0200

Hi Randy,

On Thursday 06 May 2010 00:46:26 Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> g_webcam uses v4l[2] interfaces, so it should depend on VIDEO_DEV.
> 
> ERROR: "v4l2_event_unsubscribe" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_event_queue" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_device_release" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_usercopy" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_event_dequeue" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_register_device" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_device_alloc" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_event_subscribe" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_unregister_device" [drivers/usb/gadget/g_webcam.ko] ndefined!
> ERROR: "v4l2_event_pending" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_fh_init" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_event_init" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "video_devdata" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_event_alloc" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_fh_add" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_fh_del" [drivers/usb/gadget/g_webcam.ko] undefined!
> ERROR: "v4l2_fh_exit" [drivers/usb/gadget/g_webcam.ko] undefined!

Oops, my bad. Thanks for the patch.

> Signed-off-by: Randy Dunlap <[email-masked]>

Acked-by: Laurent Pinchart <[email-masked]>

-- 
Regards,

Laurent Pinchart